Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2226420 - scap-security-guide: FTBFS in Fedora rawhide/f39
Summary: scap-security-guide: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: scap-security-guide
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Watson Yuuma Sato
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 20:08 UTC by Fedora Release Engineering
Modified: 2023-09-26 14:25 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-26 14:25:12 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 20:08 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 20:08 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 20:08 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 20:08:32 UTC
scap-security-guide failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103728748


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix scap-security-guide at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
scap-security-guide will be orphaned. Before branching of Fedora 40,
scap-security-guide will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 20:08:38 UTC
Created attachment 1979628 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2023-07-25 20:08:41 UTC
Created attachment 1979629 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 20:08:45 UTC
Created attachment 1979630 [details]
state.log

Comment 4 Fedora Release Engineering 2023-08-16 08:04:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 5 Sandro Bonazzola 2023-09-20 09:07:03 UTC
Subsequent build https://koji.fedoraproject.org/koji/search?terms=scap-security-guide-0.1.69-1.fc39&type=build&match=exact
succeeded.

Failure was caused by:
Traceback (most recent call last):
  File "/builddir/build/BUILD/scap-security-guide-0.1.68/build-scripts/build_templated_content.py", line 9, in <module>
    import ssg.templates
  File "/builddir/build/BUILD/scap-security-guide-0.1.68/ssg/templates.py", line 5, in <module>
    import imp
ModuleNotFoundError: No module named 'imp'

which didn't happen in the most recent build.
I think this can be closed.

Comment 6 Sandro Bonazzola 2023-09-26 14:25:12 UTC
closing as per comment #5


Note You need to log in before you can comment on or make changes to this bug.